package com.sixin.module_p.ui.enter.home

import android.graphics.Color
import android.view.View
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.FlightBean
import com.sixin.module_p.databinding.ItemPdaHomeBinding

class HomeViewHolder(view: View) : BaseViewHolder<FlightBean, ItemPdaHomeBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        binding.bean = getItemBean(item)

        if (position % 2 == 0) {
            binding.ll.setBackgroundColor(Color.parseColor("#8c8c8c"))
        } else {
            binding.ll.setBackgroundColor(Color.parseColor("#41cea5"))
        }
    }

}